Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156181 - iscsi-ls -l starts giving segmentation fault after certain IO transactions
Summary: iscsi-ls -l starts giving segmentation fault after certain IO transactions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: iscsi-initiator-utils
Version: 3.0
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Mike Christie
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-28 08:49 UTC by Nitin Chandna
Modified: 2009-10-27 19:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-27 19:36:37 UTC


Attachments (Terms of Use)

Description Nitin Chandna 2005-04-28 08:49:48 UTC
Description of problem:
Configured 2 JBODs and 1 MSA1000 LUN. iscsi-ls -l displays all the three 
devices configured. Started block level I/O on 2 JBOD iscsi disks. Shutdown the 
FC interface where MSA1000 was configured and stopped the driver on the host. 
Restarted the driver and executed iscsi-ls -l - it failed giving "segmentation 
fault".

Version-Release number of selected component (if applicable):
kernel-2.4.20-8

How reproducible:
Not always reproducible - happened twice on my setup

Steps to Reproduce:
1. Configured 2 JBODs and 1 Storage Arrays MSA 1000 LUN#1
2. Initially all devices are shown in output:
[root@linux-2 linux-iscsi-3.6.2]# iscsi-ls -l
*******************************************************************************
        SFNet iSCSI Driver Version ... 3.6.2 (27-Sep-2004 )
*******************************************************************************
TARGET NAME             : iqn.2004-04.com.cisco.cnitin-jbod-567c
TARGET ALIAS            : 
HOST NO                 : 2 
BUS NO                  : 0 
TARGET ID               : 4 
TARGET ADDRESS          : 10.1.1.80:3260
SESSION STATUS          : ESTABLISHED AT Wed Apr 27 22:40:34 2005
NO. OF PORTALS          : 1 
PORTAL ADDRESS 1        : 10.1.1.80:3260,12416
SESSION ID              : ISID 00023d000001 TSID 3080

DEVICE DETAILS :
-------------- 
LUN ID : 0
  Vendor: SEAGATE  Model: ST318452FC       Rev: 0004
  Type:   Direct-Access                    ANSI SCSI revision: 04
  page83 type3: 20000004cf8c567c
  page80: 334556303756455030303030373234314b484857
  Device: /dev/sdb
*******************************************************************************
TARGET NAME             : iqn.2004-04.com.cisco.cnitin-jbod-572d
TARGET ALIAS            : 
HOST NO                 : 2 
BUS NO                  : 0 
TARGET ID               : 6 
TARGET ADDRESS          : 10.1.1.80:3260
SESSION STATUS          : ESTABLISHED AT Wed Apr 27 22:40:34 2005
NO. OF PORTALS          : 1 
PORTAL ADDRESS 1        : 10.1.1.80:3260,12416
SESSION ID              : ISID 00023d000001 TSID 3080

DEVICE DETAILS :
-------------- 
LUN ID : 0
  Vendor: SEAGATE  Model: ST318452FC       Rev: 0004
  Type:   Direct-Access                    ANSI SCSI revision: 04
  page83 type3: 20000004cf8c572d
  page80: 3345563036523245303030303732343144393657
  Device: /dev/sdc
*******************************************************************************
TARGET NAME             : iqn.2004-04.com.cisco.cnitin-msa-1
TARGET ALIAS            : 
HOST NO                 : 2 
BUS NO                  : 0 
TARGET ID               : 9 
TARGET ADDRESS          : 10.1.1.80:3260
SESSION STATUS          : ESTABLISHED AT Wed Apr 27 22:40:34 2005
NO. OF PORTALS          : 1 
PORTAL ADDRESS 1        : 10.1.1.80:3260,12416
SESSION ID              : ISID 00023d000001 TSID 3080

DEVICE DETAILS :
-------------- 
LUN ID : 1
  Vendor: COMPAQ   Model: MSA1000 VOLUME   Rev: 4.32
  Type:   Direct-Access                    ANSI SCSI revision: 04
  page83 type3: 600805f300030530a43e426d12be0034
  page80: 5035363335304239494e38303937)
  page83 type0: 00000000
  Device: /dev/sdd
*******************************************************************************

3. Executed: dd if=/dev/sdb of=/dev/sdc
4. Shutdown down the FC interface where MSA LUN was configured (/dev/sdd)
5. Stopped the driver (and driver stopped after some sync-ing of data)
6. Restarted the driver
7. Executed iscsi-ls -l and got segmentation fault.
[root@linux-2 linux-iscsi-3.6.2]# iscsi-ls -l
*******************************************************************************
        SFNet iSCSI Driver Version ... 3.6.2 (27-Sep-2004 )
*******************************************************************************
Segmentation fault
8. Even restart of driver did not help recover. I had to reboot the system to 
overcome this problem.
  
Actual results:
iscsi-ls -l gives segmentation fault, with block level I/O running on iscsi 
disks and shutting down the driver on the host and FC interface on the MDS.

Expected results:
When the driver restarts with FC interface up, iscsi-ls -l should display all 
three devices.


Additional info:
None.

Comment 1 AJ Lewis 2005-04-28 14:00:41 UTC
You think this is separate from bug #156177 ?

Comment 2 Nitin Chandna 2005-04-29 04:04:19 UTC
Yes. This is different from bug #156177. In bug 156177, I configured LUN zero 
for MSA1000 array and that's where I was not able to see the devices at all - 
it (iscsi-ls -l) immediately crashed giving segmentation fault. Whereas, in 
this particular bug, I configured a single LUN individually on MSA1000 as well 
as 2 JBODs, and iscsi-ls -l initially works fine. Later, bringing down FC 
interface and restarting the driver gets the iscsi-ls -l segmentation fault. 
The FC interface down can be either of JBODs or MSA1000 Array. Furthermore, 
this one is not always reproducible.

Comment 3 AJ Lewis 2005-06-01 15:59:31 UTC
Allocation fixes committed to the 3.6 upstream tree.

Comment 4 Mike Christie 2005-11-02 06:11:50 UTC
Is this fixed in the current release for you?


Note You need to log in before you can comment on or make changes to this bug.